Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 19 Apr 2023 16:01:22 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, 

I am extremely disappointed and dissatisfied for this poor service!! My order #7826732148 has been placed 3 days ago and the delivery man lied about contacting me and sent me we missed you sms, while I have zero communication from the delivery company!! I've been waiting for the order 3 days in a raw and still haven't been delivered!! What kind of service us this, I keep contacting you and trying to follow up with the order and yet no one has responded or resolved this issue!! This is truly unacceptable!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6103456